Subject: bug#30883: 27.0.50; completions-annotations face should not be based on italic by default

From: Robert Pluim <[email-masked]>
Date: Wed, 21 Mar 2018 10:37:49 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Robert Pluim <[email-masked]>
>> Date: Tue, 20 Mar 2018 17:16:37 +0100
>> 
>> When using insert-char interactively to insert т (CYRILLIC SMALL
>> LETTER TE), the completions buffer uses the completions-annotations
>> face to display the character after the full unicode name. т is one of
>> those characters for which the italic glyph is very different from the
>> non-italic one (it actually looks like an 'm'), which is highly
>> misleading for the user.
>
> I guess it depends on the default font, because on my system the
> italic glyph looks very reasonably similar to the roman variant.

It does. The following monospace fonts on my system display it as a
slanted 'm': Inconsolata, Libertine, Noto Sans UI, Ubuntu Mono. The
others display it as a slanted т, which is arguably incorrect, but
they outnumber those four by approximately 2:1

>> The easy solution would be to just base the completions-annotations
>> face on the default face, but Iʼm sure thereʼs a historical reason for
>> its existence.
>
> FWIW, I happen to like the typeface we use there, so I think we should
> go to a more boring display only if we have a very good reason.

I donʼt think we have a good reason. Iʼll customise
completions-annotations.

Robert